com.tibco.tibjms.admin

## Class ProducerInfo

- java.lang.Object
- - com.tibco.tibjms.admin.ProducerInfo

-     public class ProducerInfo
      extends java.lang.Object

  A ProducerInfo object represents a message producer.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProducerInfo` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
    `long` | `getConnectionID()` Returns producer's connection ID.
    `long` | `getCreateTime()` Returns producer's creation time in milliseconds.
    `java.lang.String` | `getDestinationName()` Returns producer's destination name.
    `int` | `getDestinationType()` Returns producer's destination type.
    `DetailedDestStat[]` | `getDetailedStatistics()` Returns detailed statistics for an unidentified producer.
    `long` | `getID()` Returns producer ID.
    `long` | `getSessionID()` Returns producer's session ID.
    `StatData` | `getStatistics()` Returns producer's total statistics.
    `java.lang.String` | `getUsername()` Returns producer's user name.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getID

          public long getID()

      Returns producer ID.
      Returns:
        the producer ID.

    - #### getSessionID

          public long getSessionID()

      Returns producer's session ID.
      Returns:
        the producer's session ID.

    - #### getConnectionID

          public long getConnectionID()

      Returns producer's connection ID.
      Returns:
        the producer's connection ID.

    - #### getCreateTime

          public long getCreateTime()

      Returns producer's creation time in milliseconds.
      Returns:
        the producer's creation time in milliseconds.

    - #### getUsername

          public java.lang.String getUsername()

      Returns producer's user name.
      Returns:
        the producer's user name.

    - #### getDestinationType

          public int getDestinationType()

      Returns producer's destination type.
      Returns:
        the producer's destination type.

    - #### getDestinationName

          public java.lang.String getDestinationName()

      Returns producer's destination name.
      Returns:
        the producer's destination name or null if this is an unidentified producer.

    - #### getStatistics

          public StatData getStatistics()

      Returns producer's total statistics.
      Returns:
        the producer's total statistics.

    - #### getDetailedStatistics

          public DetailedDestStat[] getDetailedStatistics()

      Returns detailed statistics for an unidentified producer. Detailed statistics gives a break down of the producer's aggregate statistics across the different destinations that the producer has sent messages on.
      Returns:
        the producer's detailed statistics or null if either detailed statistics for producers is not enabled or if the producer is not identified with a particular destination.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### from

          public static ProducerInfo from(javax.management.openmbean.CompositeData cd)
                                   throws java.lang.Exception

      For Internal use only, may be removed or deprecated in future.
      Returns:
        a ProducerInfo object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.
        `java.lang.Exception`

Copyright © Cloud Software Group, Inc. All rights reserved